Issue 105937 - Improve canvas/basegfx gradient support
Summary: Improve canvas/basegfx gradient support
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: current
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: Armin Le Grand
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-15 23:35 UTC by thb
Modified: 2010-05-27 15:39 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description thb 2009-10-15 23:35:54 UTC
Align, improve & homogenize gradient setup, calculation & rendering in basegfx,
drawing layer & canvas.
Comment 1 thb 2009-10-16 00:07:48 UTC
Committed to CWS thbfixes10 with commit ID b3f00428c036.
Comment 2 thb 2010-01-18 11:51:35 UTC
target.
Comment 3 thb 2010-02-19 21:52:05 UTC
@aw: please review/verify. Note that this change also fixes long-standing canvas
rendering bugs (issue 52325).
Comment 4 Armin Le Grand 2010-03-16 15:41:24 UTC
AW: Checked AFAIC in the provided diff, looks okay.
Comment 5 Armin Le Grand 2010-05-27 15:39:54 UTC
AW: Closing